#include<bits/stdc++.h>
using namespace std;
ifstream fi("DEMNT.inp");
ofstream fo("DEMNT.out");
void ans(){
    vector<int>snt(65537,1);
    int i,n,ans=0,x;
    snt[1]=0;
    i=2;
    while (i<=sqrt(65537))
    {
        while (snt[i]==0)i++;

        for (int j=2; j<=65537/i; j++) snt[i*j]=0;
        i++;
    }
    fi>>n;
    for(int i=0;i<n;++i){fi>>x;if(snt[x])ans++;}
    fo<<ans;
}
int main(){
   ans();
}
